// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

public interface GetStatisticsResponseOrBuilder extends
    // @@protoc_insertion_point(interface_extends:dsepractice.chinese.v1alpha1.GetStatisticsResponse)
    com.google.protobuf.MessageLiteOrBuilder {

  /**
   * <code>.google.protobuf.Duration daily_usage = 1 [json_name = "dailyUsage"];</code>
   * @return Whether the dailyUsage field is set.
   */
  boolean hasDailyUsage();
  /**
   * <code>.google.protobuf.Duration daily_usage = 1 [json_name = "dailyUsage"];</code>
   * @return The dailyUsage.
   */
  com.google.protobuf.Duration getDailyUsage();

  /**
   * <code>.google.protobuf.Duration weekly_usage = 2 [json_name = "weeklyUsage"];</code>
   * @return Whether the weeklyUsage field is set.
   */
  boolean hasWeeklyUsage();
  /**
   * <code>.google.protobuf.Duration weekly_usage = 2 [json_name = "weeklyUsage"];</code>
   * @return The weeklyUsage.
   */
  com.google.protobuf.Duration getWeeklyUsage();

  /**
   * <code>.google.protobuf.Duration monthly_usage = 3 [json_name = "monthlyUsage"];</code>
   * @return Whether the monthlyUsage field is set.
   */
  boolean hasMonthlyUsage();
  /**
   * <code>.google.protobuf.Duration monthly_usage = 3 [json_name = "monthlyUsage"];</code>
   * @return The monthlyUsage.
   */
  com.google.protobuf.Duration getMonthlyUsage();

  /**
   * <code>int64 highest_score = 4 [json_name = "highestScore"];</code>
   * @return The highestScore.
   */
  long getHighestScore();
}
